diff -crBPN --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=advanced-cache.php --exclude=wp-cache-config.php --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.5.pl /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-admin/js/categories.js /home/packages/code/qi/SOURCES/wordpress-3.5/wp-admin/js/categories.js
*** /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-admin/js/categories.js	2012-10-29 12:35:31.000000000 -0500
--- /home/packages/code/qi/SOURCES/wordpress-3.5/wp-admin/js/categories.js	2012-12-17 16:18:42.000000000 -0600
***************
*** 1 ****
! jQuery(document).ready(function(d){var b=false,e,c,a;if(document.forms.addcat.category_parent){b=document.forms.addcat.category_parent.options}e=function(h,g){var f,i;f=d("<span>"+d("name",h).text()+"</span>").text();i=d("cat",h).attr("id");b[b.length]=new Option(f,i)};a=function(g,f){var i=d("cat",g).attr("id"),h;for(h=0;h<b.length;h++){if(i==b[h].value){b[h]=null}}};c=function(f){if("undefined"!=showNotice){return showNotice.warn()?f:false}return f};if(b){d("#the-list").wpList({addAfter:e,delBefore:c,delAfter:a})}else{d("#the-list").wpList({delBefore:c})}d('.delete a[class^="delete"]').live("click",function(){return false})});
\ No newline at end of file
--- 1,34 ----
! jQuery(document).ready(function($) {
! 	var options = false, addAfter, delBefore, delAfter;
! 	if ( document.forms['addcat'].category_parent )
! 		options = document.forms['addcat'].category_parent.options;
! 
! 	addAfter = function( r, settings ) {
! 		var name, id;
! 
! 		name = $("<span>" + $('name', r).text() + "</span>").text();
! 		id = $('cat', r).attr('id');
! 		options[options.length] = new Option(name, id);
! 	}
! 
! 	delAfter = function( r, settings ) {
! 		var id = $('cat', r).attr('id'), o;
! 		for ( o = 0; o < options.length; o++ )
! 			if ( id == options[o].value )
! 				options[o] = null;
! 	}
! 
! 	delBefore = function(s) {
! 		if ( 'undefined' != showNotice )
! 			return showNotice.warn() ? s : false;
! 
! 		return s;
! 	}
! 
! 	if ( options )
! 		$('#the-list').wpList( { addAfter: addAfter, delBefore: delBefore, delAfter: delAfter } );
! 	else
! 		$('#the-list').wpList({ delBefore: delBefore });
! 
! 	$('.delete a[class^="delete"]').live('click', function(){return false;});
! });
diff -crBPN --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=advanced-cache.php --exclude=wp-cache-config.php --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.5.pl /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-admin/js/cat.js /home/packages/code/qi/SOURCES/wordpress-3.5/wp-admin/js/cat.js
*** /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-admin/js/cat.js	2012-10-29 12:35:31.000000000 -0500
--- /home/packages/code/qi/SOURCES/wordpress-3.5/wp-admin/js/cat.js	2012-12-17 16:18:42.000000000 -0600
***************
*** 1 ****
! jQuery(document).ready(function(b){var a=function(){return""!==b("#newcat").val()};b("#jaxcat").prepend('<span id="ajaxcat"><input type="text" name="newcat" id="newcat" size="16" autocomplete="off"/><input type="button" name="Button" class="add:categorychecklist:jaxcat" id="catadd" value="'+catL10n.add+'"/><input type="hidden"/><input type="hidden"/><span id="howto">'+catL10n.how+'</span></span><span id="cat-ajax-response"></span>');b("#categorychecklist").wpList({alt:"",response:"cat-ajax-response",confirm:a})});
\ No newline at end of file
--- 1,5 ----
! jQuery(document).ready( function($) {
! 	var myConfirm = function() { return '' !== $('#newcat').val(); };
! 	$('#jaxcat').prepend('<span id="ajaxcat"><input type="text" name="newcat" id="newcat" size="16" autocomplete="off"/><input type="button" name="Button" data-wp-lists="add:categorychecklist:jaxcat" id="catadd" value="' + catL10n.add + '"/><input type="hidden"/><input type="hidden"/><span id="howto">' + catL10n.how + '</span></span><span id="cat-ajax-response"></span>');
! 	$('#categorychecklist').wpList( { alt: '', response: 'cat-ajax-response', confirm: myConfirm } );
! } );
diff -crBPN --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=advanced-cache.php --exclude=wp-cache-config.php --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.5.pl /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-admin/js/color-picker.js /home/packages/code/qi/SOURCES/wordpress-3.5/wp-admin/js/color-picker.js
*** /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-admin/js/color-picker.js	1969-12-31 17:00:00.000000000 -0700
--- /home/packages/code/qi/SOURCES/wordpress-3.5/wp-admin/js/color-picker.js	2012-12-17 16:18:42.000000000 -0600
***************
*** 0 ****
--- 1,131 ----
+ ( function( $, undef ){
+ 
+ 	// html stuff
+ 	var _before = '<a tabindex="0" class="wp-color-result" />',
+ 		_after = '<div class="wp-picker-holder" />',
+ 		_wrap = '<div class="wp-picker-container" />',
+ 		_button = '<input type="button" class="button button-small hidden" />';
+ 
+ 	// jQuery UI Widget constructor
+ 	var ColorPicker = {
+ 		options: {
+ 			defaultColor: false,
+ 			change: false,
+ 			clear: false,
+ 			hide: true,
+ 			palettes: true
+ 		},
+ 		_create: function() {
+ 			// bail early for IE < 8
+ 			if ( $.browser.msie && parseInt( $.browser.version, 10 ) < 8 )
+ 				return;
+ 			var self = this;
+ 			var el = self.element;
+ 			$.extend( self.options, el.data() );
+ 
+ 			self.initialValue = el.val();
+ 
+ 			// Set up HTML structure, hide things
+ 			el.addClass( 'wp-color-picker' ).hide().wrap( _wrap );
+ 			self.wrap = el.parent();
+ 			self.toggler = $( _before ).insertBefore( el ).css( { backgroundColor: self.initialValue } ).attr( "title", wpColorPickerL10n.pick ).attr( "data-current", wpColorPickerL10n.current );
+ 			self.pickerContainer = $( _after ).insertAfter( el );
+ 			self.button = $( _button );
+ 
+ 			if ( self.options.defaultColor )
+ 				self.button.addClass( 'wp-picker-default' ).val( wpColorPickerL10n.defaultString );
+ 			else
+ 				self.button.addClass( 'wp-picker-clear' ).val( wpColorPickerL10n.clear );
+ 
+ 			el.wrap('<span class="wp-picker-input-wrap" />').after(self.button);
+ 
+ 			el.iris( {
+ 				target: self.pickerContainer,
+ 				hide: true,
+ 				width: 255,
+ 				mode: 'hsv',
+ 				palettes: self.options.palettes,
+ 				change: function( event, ui ) {
+ 					self.toggler.css( { backgroundColor: ui.color.toString() } );
+ 					// check for a custom cb
+ 					if ( $.isFunction( self.options.change ) )
+ 						self.options.change.call( this, event, ui );
+ 				}
+ 			} );
+ 			el.val( self.initialValue );
+ 			self._addListeners();
+ 			if ( ! self.options.hide )
+ 				self.toggler.click();
+ 		},
+ 		_addListeners: function() {
+ 			var self = this;
+ 
+ 			self.toggler.click( function( event ){
+ 				event.stopPropagation();
+ 				self.element.toggle().iris( 'toggle' );
+ 				self.button.toggleClass('hidden');
+ 				self.toggler.toggleClass( 'wp-picker-open' );
+ 
+ 				// close picker when you click outside it
+ 				if ( self.toggler.hasClass( 'wp-picker-open' ) )
+ 					$( "body" ).on( 'click', { wrap: self.wrap, toggler: self.toggler }, self._bodyListener );
+ 				else
+ 					$( "body" ).off( 'click', self._bodyListener );
+ 			});
+ 
+ 			self.element.change(function( event ) {
+ 				var me = $(this),
+ 					val = me.val();
+ 				// Empty = clear
+ 				if ( val === '' || val === '#' ) {
+ 					self.toggler.css('backgroundColor', '');
+ 					// fire clear callback if we have one
+ 					if ( $.isFunction( self.options.clear ) )
+ 						self.options.clear.call( this, event );
+ 				}
+ 			});
+ 
+ 			// open a keyboard-focused closed picker with space or enter
+ 			self.toggler.on('keyup', function( e ) {
+ 				if ( e.keyCode === 13 || e.keyCode === 32 ) {
+ 					e.preventDefault();
+ 					self.toggler.trigger('click').next().focus();
+ 				}
+ 			});
+ 
+ 			self.button.click( function( event ) {
+ 				var me = $(this);
+ 				if ( me.hasClass( 'wp-picker-clear' ) ) {
+ 					self.element.val( '' );
+ 					self.toggler.css('backgroundColor', '');
+ 					if ( $.isFunction( self.options.clear ) )
+ 						self.options.clear.call( this, event );
+ 				} else if ( me.hasClass( 'wp-picker-default' ) ) {
+ 					self.element.val( self.options.defaultColor ).change();
+ 				}
+ 			});
+ 		},
+ 		_bodyListener: function( event ) {
+ 			if ( ! event.data.wrap.find( event.target ).length )
+ 					event.data.toggler.click();
+ 		},
+ 		// $("#input").wpColorPicker('color') returns the current color
+ 		// $("#input").wpColorPicker('color', '#bada55') to set
+ 		color: function( newColor ) {
+ 			if ( newColor === undef )
+ 				return this.element.iris( "option", "color" );
+ 
+ 			this.element.iris( "option", "color", newColor );
+ 		},
+ 		//$("#input").wpColorPicker('defaultColor') returns the current default color
+ 		//$("#input").wpColorPicker('defaultColor', newDefaultColor) to set
+ 		defaultColor: function( newDefaultColor ) {
+ 			if ( newDefaultColor === undef )
+ 				return this.options.defaultColor;
+ 
+ 			this.options.defaultColor = newDefaultColor;
+ 		}
+ 	}
+ 
+ 	$.widget( 'wp.wpColorPicker', ColorPicker );
+ }( jQuery ) );
\ No newline at end of file
diff -crBPN --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=advanced-cache.php --exclude=wp-cache-config.php --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.5.pl /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-admin/js/custom-fields.js /home/packages/code/qi/SOURCES/wordpress-3.5/wp-admin/js/custom-fields.js
*** /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-admin/js/custom-fields.js	2012-10-29 12:35:31.000000000 -0500
--- /home/packages/code/qi/SOURCES/wordpress-3.5/wp-admin/js/custom-fields.js	2012-12-17 16:18:42.000000000 -0600
***************
*** 1 ****
! jQuery(document).ready(function(d){var c,b,e,a;c=function(){var g=d('#newmeta [name="_ajax_nonce"]').val(),f=d("#post_ID").val();if(!g||!f){return false}return[g,f]};b=function(g){var f=c();if(!f){return false}g.data=g.data.replace(/_ajax_nonce=[a-f0-9]+/,"_ajax_nonce="+f[0])+"&post_id="+f[1];return g};e=function(j,i){var f=d("postid",j).text(),g;if(!f){return}d("#post_ID").attr("name","post_ID").val(f);g=d("#hiddenaction");if("post"==g.val()){g.val("postajaxpost")}};a=function(g){var f=c();if(!f){return false}g.data._ajax_nonce=f[0];g.data.post_id=f[1];return g};d("#the-list").wpList({addBefore:b,addAfter:e,delBefore:a}).find(".updatemeta, .deletemeta").attr("type","button")});
\ No newline at end of file
--- 1,34 ----
! jQuery(document).ready( function($) {
! 	var before, addBefore, addAfter, delBefore;
! 
! 	before = function() {
! 		var nonce = $('#newmeta [name="_ajax_nonce"]').val(), postId = $('#post_ID').val();
! 		if ( !nonce || !postId ) { return false; }
! 		return [nonce,postId];
! 	}
! 
! 	addBefore = function( s ) {
! 		var b = before();
! 		if ( !b ) { return false; }
! 		s.data = s.data.replace(/_ajax_nonce=[a-f0-9]+/, '_ajax_nonce=' + b[0]) + '&post_id=' + b[1];
! 		return s;
! 	};
! 
! 	addAfter = function( r, s ) {
! 		var postId = $('postid', r).text(), h;
! 		if ( !postId ) { return; }
! 		$('#post_ID').attr( 'name', 'post_ID' ).val( postId );
! 		h = $('#hiddenaction');
! 		if ( 'post' == h.val() ) { h.val( 'postajaxpost' ); }
! 	};
! 
! 	delBefore = function( s ) {
! 		var b = before(); if ( !b ) return false;
! 		s.data._ajax_nonce = b[0]; s.data.post_id = b[1];
! 		return s;
! 	}
! 
! 	$('#the-list')
! 		.wpList( { addBefore: addBefore, addAfter: addAfter, delBefore: delBefore } )
! 		.find('.updatemeta, .deletemeta').attr( 'type', 'button' );
! } );
diff -crBPN --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=advanced-cache.php --exclude=wp-cache-config.php --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.5.pl /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-admin/js/custom-header.js /home/packages/code/qi/SOURCES/wordpress-3.5/wp-admin/js/custom-header.js
*** /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-admin/js/custom-header.js	1969-12-31 17:00:00.000000000 -0700
--- /home/packages/code/qi/SOURCES/wordpress-3.5/wp-admin/js/custom-header.js	2012-12-17 16:18:42.000000000 -0600
***************
*** 0 ****
--- 1,60 ----
+ (function($) {
+ 	var frame;
+ 
+ 	$( function() {
+ 		// Fetch available headers and apply jQuery.masonry
+ 		// once the images have loaded.
+ 		var $headers = $('.available-headers');
+ 
+ 		$headers.imagesLoaded( function() {
+ 			$headers.masonry({
+ 				itemSelector: '.default-header',
+ 				isRTL: !! ( 'undefined' != typeof isRtl && isRtl )
+ 			});
+ 		});
+ 
+ 		// Build the choose from library frame.
+ 		$('#choose-from-library-link').click( function( event ) {
+ 			var $el = $(this);
+ 			event.preventDefault();
+ 
+ 			// If the media frame already exists, reopen it.
+ 			if ( frame ) {
+ 				frame.open();
+ 				return;
+ 			}
+ 
+ 			// Create the media frame.
+ 			frame = wp.media.frames.customHeader = wp.media({
+ 				// Set the title of the modal.
+ 				title: $el.data('choose'),
+ 
+ 				// Tell the modal to show only images.
+ 				library: {
+ 					type: 'image'
+ 				},
+ 
+ 				// Customize the submit button.
+ 				button: {
+ 					// Set the text of the button.
+ 					text: $el.data('update'),
+ 					// Tell the button not to close the modal, since we're
+ 					// going to refresh the page when the image is selected.
+ 					close: false
+ 				}
+ 			});
+ 
+ 			// When an image is selected, run a callback.
+ 			frame.on( 'select', function() {
+ 				// Grab the selected attachment.
+ 				var attachment = frame.state().get('selection').first(),
+ 					link = $el.data('updateLink');
+ 
+ 				// Tell the browser to navigate to the crop step.
+ 				window.location = link + '&file=' + attachment.id;
+ 			});
+ 
+ 			frame.open();
+ 		});
+ 	});
+ }(jQuery));
diff -crBPN --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=advanced-cache.php --exclude=wp-cache-config.php --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.5.pl /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-admin/js/media-gallery.js /home/packages/code/qi/SOURCES/wordpress-3.5/wp-admin/js/media-gallery.js
*** /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-admin/js/media-gallery.js	2012-10-29 12:35:31.000000000 -0500
--- /home/packages/code/qi/SOURCES/wordpress-3.5/wp-admin/js/media-gallery.js	2012-12-17 16:18:42.000000000 -0600
***************
*** 1 ****
! jQuery(function(a){a("body").bind("click.wp-gallery",function(d){var c=a(d.target),f,b;if(c.hasClass("wp-set-header")){(window.dialogArguments||opener||parent||top).location.href=c.data("location");d.preventDefault()}else{if(c.hasClass("wp-set-background")){f=c.data("attachment-id");b=a('input[name="attachments['+f+'][image-size]"]:checked').val();jQuery.post(ajaxurl,{action:"set-background-image",attachment_id:f,size:b},function(){var e=window.dialogArguments||opener||parent||top;e.tb_remove();e.location.reload()});d.preventDefault()}}})});
\ No newline at end of file
--- 1,25 ----
! jQuery(function($){
! 	$( 'body' ).bind( 'click.wp-gallery', function(e){
! 		var target = $( e.target ), id, img_size;
! 
! 		if ( target.hasClass( 'wp-set-header' ) ) {
! 			( window.dialogArguments || opener || parent || top ).location.href = target.data( 'location' );
! 			e.preventDefault();
! 		} else if ( target.hasClass( 'wp-set-background' ) ) {
! 			id = target.data( 'attachment-id' );
! 			img_size = $( 'input[name="attachments[' + id + '][image-size]"]:checked').val();
! 
! 			jQuery.post(ajaxurl, {
! 				action: 'set-background-image',
! 				attachment_id: id,
! 				size: img_size
! 			}, function(){
! 				var win = window.dialogArguments || opener || parent || top;
! 				win.tb_remove();
! 				win.location.reload();
! 			});
! 
! 			e.preventDefault();
! 		}
! 	});
! });
diff -crBPN --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=advanced-cache.php --exclude=wp-cache-config.php --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.5.pl /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-admin/js/password-strength-meter.js /home/packages/code/qi/SOURCES/wordpress-3.5/wp-admin/js/password-strength-meter.js
*** /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-admin/js/password-strength-meter.js	2012-10-29 12:35:31.000000000 -0500
--- /home/packages/code/qi/SOURCES/wordpress-3.5/wp-admin/js/password-strength-meter.js	2012-12-17 16:18:42.000000000 -0600
***************
*** 1 ****
! function passwordStrength(f,i,d){var k=1,h=2,b=3,a=4,c=5,g=0,j,e;if((f!=d)&&d.length>0){return c}if(f.length<4){return k}if(f.toLowerCase()==i.toLowerCase()){return h}if(f.match(/[0-9]/)){g+=10}if(f.match(/[a-z]/)){g+=26}if(f.match(/[A-Z]/)){g+=26}if(f.match(/[^a-zA-Z0-9]/)){g+=31}j=Math.log(Math.pow(g,f.length));e=j/Math.LN2;if(e<40){return h}if(e<56){return b}return a};
\ No newline at end of file
--- 1,36 ----
! // Password strength meter
! function passwordStrength(password1, username, password2) {
! 	var shortPass = 1, badPass = 2, goodPass = 3, strongPass = 4, mismatch = 5, symbolSize = 0, natLog, score;
! 
! 	// password 1 != password 2
! 	if ( (password1 != password2) && password2.length > 0)
! 		return mismatch
! 
! 	//password < 4
! 	if ( password1.length < 4 )
! 		return shortPass
! 
! 	//password1 == username
! 	if ( password1.toLowerCase() == username.toLowerCase() )
! 		return badPass;
! 
! 	if ( password1.match(/[0-9]/) )
! 		symbolSize +=10;
! 	if ( password1.match(/[a-z]/) )
! 		symbolSize +=26;
! 	if ( password1.match(/[A-Z]/) )
! 		symbolSize +=26;
! 	if ( password1.match(/[^a-zA-Z0-9]/) )
! 		symbolSize +=31;
! 
! 	natLog = Math.log( Math.pow(symbolSize, password1.length) );
! 	score = natLog / Math.LN2;
! 
! 	if (score < 40 )
! 		return badPass
! 
! 	if (score < 56 )
! 		return goodPass
! 
!     return strongPass;
! }
diff -crBPN --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=advanced-cache.php --exclude=wp-cache-config.php --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.5.pl /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-admin/js/set-post-thumbnail.js /home/packages/code/qi/SOURCES/wordpress-3.5/wp-admin/js/set-post-thumbnail.js
*** /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-admin/js/set-post-thumbnail.js	2012-10-29 12:35:31.000000000 -0500
--- /home/packages/code/qi/SOURCES/wordpress-3.5/wp-admin/js/set-post-thumbnail.js	2012-12-17 16:18:41.000000000 -0600
***************
*** 1 ****
! function WPSetAsThumbnail(c,b){var a=jQuery("a#wp-post-thumbnail-"+c);a.text(setPostThumbnailL10n.saving);jQuery.post(ajaxurl,{action:"set-post-thumbnail",post_id:post_id,thumbnail_id:c,_ajax_nonce:b,cookie:encodeURIComponent(document.cookie)},function(e){var d=window.dialogArguments||opener||parent||top;a.text(setPostThumbnailL10n.setThumbnail);if(e=="0"){alert(setPostThumbnailL10n.error)}else{jQuery("a.wp-post-thumbnail").show();a.text(setPostThumbnailL10n.done);a.fadeOut(2000);d.WPSetThumbnailID(c);d.WPSetThumbnailHTML(e)}})};
\ No newline at end of file
--- 1,21 ----
! function WPSetAsThumbnail(id, nonce){
! 	var $link = jQuery('a#wp-post-thumbnail-' + id);
! 
! 	$link.text( setPostThumbnailL10n.saving );
! 	jQuery.post(ajaxurl, {
! 		action:"set-post-thumbnail", post_id: post_id, thumbnail_id: id, _ajax_nonce: nonce, cookie: encodeURIComponent(document.cookie)
! 	}, function(str){
! 		var win = window.dialogArguments || opener || parent || top;
! 		$link.text( setPostThumbnailL10n.setThumbnail );
! 		if ( str == '0' ) {
! 			alert( setPostThumbnailL10n.error );
! 		} else {
! 			jQuery('a.wp-post-thumbnail').show();
! 			$link.text( setPostThumbnailL10n.done );
! 			$link.fadeOut( 2000 );
! 			win.WPSetThumbnailID(id);
! 			win.WPSetThumbnailHTML(str);
! 		}
! 	}
! 	);
! }
diff -crBPN --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=advanced-cache.php --exclude=wp-cache-config.php --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.5.pl /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-admin/js/user-suggest.js /home/packages/code/qi/SOURCES/wordpress-3.5/wp-admin/js/user-suggest.js
*** /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-admin/js/user-suggest.js	2012-10-29 12:35:31.000000000 -0500
--- /home/packages/code/qi/SOURCES/wordpress-3.5/wp-admin/js/user-suggest.js	2012-12-17 16:18:41.000000000 -0600
***************
*** 1 ****
! (function(a){var b="undefined"!==typeof current_site_id?"&site_id="+current_site_id:"";a(document).ready(function(){a(".wp-suggest-user").autocomplete({source:ajaxurl+"?action=autocomplete-user&autocomplete_type=add"+b,delay:500,minLength:2,position:("undefined"!==typeof isRtl&&isRtl)?{my:"right top",at:"right bottom",offset:"0, -1"}:{offset:"0, -1"},open:function(){a(this).addClass("open")},close:function(){a(this).removeClass("open")}})})})(jQuery);
\ No newline at end of file
--- 1,13 ----
! (function($) {
! 	var id = 'undefined' !== typeof current_site_id ? '&site_id=' + current_site_id : '';
! 	$(document).ready( function() {
! 		$( '.wp-suggest-user' ).autocomplete({
! 			source:    ajaxurl + '?action=autocomplete-user&autocomplete_type=add' + id,
! 			delay:     500,
! 			minLength: 2,
! 			position:  ( 'undefined' !== typeof isRtl && isRtl ) ? { my: 'right top', at: 'right bottom', offset: '0, -1' } : { offset: '0, -1' },
! 			open:      function() { $(this).addClass('open'); },
! 			close:     function() { $(this).removeClass('open'); }
! 		});
! 	});
! })(jQuery);
\ No newline at end of file
diff -crBPN --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=advanced-cache.php --exclude=wp-cache-config.php --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.5.pl /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-admin/js/word-count.js /home/packages/code/qi/SOURCES/wordpress-3.5/wp-admin/js/word-count.js
*** /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-admin/js/word-count.js	2012-10-29 12:35:31.000000000 -0500
--- /home/packages/code/qi/SOURCES/wordpress-3.5/wp-admin/js/word-count.js	2012-12-17 16:18:42.000000000 -0600
***************
*** 1 ****
! (function(a,b){wpWordCount={settings:{strip:/<[a-zA-Z\/][^<>]*>/g,clean:/[0-9.(),;:!?%#$¿'"_+=\\/-]+/g,w:/\S\s+/g,c:/\S/g},block:0,wc:function(e,g){var f=this,d=a(".word-count"),c=0;if(g===b){g=wordCountL10n.type}if(g!=="w"&&g!=="c"){g="w"}if(f.block){return}f.block=1;setTimeout(function(){if(e){e=e.replace(f.settings.strip," ").replace(/&nbsp;|&#160;/gi," ");e=e.replace(f.settings.clean,"");e.replace(f.settings[g],function(){c++})}d.html(c.toString());setTimeout(function(){f.block=0},2000)},1)}};a(document).bind("wpcountwords",function(d,c){wpWordCount.wc(c)})}(jQuery));
\ No newline at end of file
--- 1,42 ----
! (function($,undefined) {
! 	wpWordCount = {
! 
! 		settings : {
! 			strip : /<[a-zA-Z\/][^<>]*>/g, // strip HTML tags
! 			clean : /[0-9.(),;:!?%#$¿'"_+=\\/-]+/g, // regexp to remove punctuation, etc.
! 			w : /\S\s+/g, // word-counting regexp
! 			c : /\S/g // char-counting regexp for asian languages
! 		},
! 
! 		block : 0,
! 
! 		wc : function(tx, type) {
! 			var t = this, w = $('.word-count'), tc = 0;
! 
! 			if ( type === undefined )
! 				type = wordCountL10n.type;
! 			if ( type !== 'w' && type !== 'c' )
! 				type = 'w';
! 
! 			if ( t.block )
! 				return;
! 
! 			t.block = 1;
! 
! 			setTimeout( function() {
! 				if ( tx ) {
! 					tx = tx.replace( t.settings.strip, ' ' ).replace( /&nbsp;|&#160;/gi, ' ' );
! 					tx = tx.replace( t.settings.clean, '' );
! 					tx.replace( t.settings[type], function(){tc++;} );
! 				}
! 				w.html(tc.toString());
! 
! 				setTimeout( function() { t.block = 0; }, 2000 );
! 			}, 1 );
! 		}
! 	}
! 
! 	$(document).bind( 'wpcountwords', function(e, txt) {
! 		wpWordCount.wc(txt);
! 	});
! }(jQuery));
diff -crBPN --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=advanced-cache.php --exclude=wp-cache-config.php --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.5.pl /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-admin/js/xfn.js /home/packages/code/qi/SOURCES/wordpress-3.5/wp-admin/js/xfn.js
*** /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-admin/js/xfn.js	2012-10-29 12:35:31.000000000 -0500
--- /home/packages/code/qi/SOURCES/wordpress-3.5/wp-admin/js/xfn.js	2012-12-17 16:18:42.000000000 -0600
***************
*** 1 ****
! jQuery(document).ready(function(a){a("#link_rel").prop("readonly",true);a("#linkxfndiv input").bind("click keyup",function(){var c=a("#me").is(":checked"),b="";a("input.valinp").each(function(){if(c){a(this).prop("disabled",true).parent().addClass("disabled")}else{a(this).removeAttr("disabled").parent().removeClass("disabled");if(a(this).is(":checked")&&a(this).val()!=""){b+=a(this).val()+" "}}});a("#link_rel").val((c)?"me":b.substr(0,b.length-1))})});
\ No newline at end of file
--- 1,16 ----
! jQuery(document).ready( function($) {
! 	$('#link_rel').prop('readonly', true);
! 	$('#linkxfndiv input').bind('click keyup', function() {
! 		var isMe = $('#me').is(':checked'), inputs = '';
! 		$('input.valinp').each( function() {
! 			if (isMe) {
! 				$(this).prop('disabled', true).parent().addClass('disabled');
! 			} else {
! 				$(this).removeAttr('disabled').parent().removeClass('disabled');
! 				if ( $(this).is(':checked') && $(this).val() != '')
! 					inputs += $(this).val() + ' ';
! 			}
! 		});
! 		$('#link_rel').val( (isMe) ? 'me' : inputs.substr(0,inputs.length - 1) );
! 	});
! });
diff -crBPN --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=advanced-cache.php --exclude=wp-cache-config.php --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.5.pl /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-admin/link.php /home/packages/code/qi/SOURCES/wordpress-3.5/wp-admin/link.php
*** /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-admin/link.php	2012-10-29 12:35:30.000000000 -0500
--- /home/packages/code/qi/SOURCES/wordpress-3.5/wp-admin/link.php	2012-12-17 16:18:41.000000000 -0600
***************
*** 15,21 ****
  wp_reset_vars(array('action', 'cat_id', 'linkurl', 'name', 'image', 'description', 'visible', 'target', 'category', 'link_id', 'submit', 'order_by', 'links_show_cat_id', 'rating', 'rel', 'notes', 'linkcheck[]'));
  
  if ( ! current_user_can('manage_links') )
! 	wp_die( __('You do not have sufficient permissions to edit the links for this site.') );
  
  if ( !empty($_POST['deletebookmarks']) )
  	$action = 'deletebookmarks';
--- 15,21 ----
  wp_reset_vars(array('action', 'cat_id', 'linkurl', 'name', 'image', 'description', 'visible', 'target', 'category', 'link_id', 'submit', 'order_by', 'links_show_cat_id', 'rating', 'rel', 'notes', 'linkcheck[]'));
  
  if ( ! current_user_can('manage_links') )
! 	wp_link_manager_disabled_message();
  
  if ( !empty($_POST['deletebookmarks']) )
  	$action = 'deletebookmarks';
diff -crBPN --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=advanced-cache.php --exclude=wp-cache-config.php --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.5.pl /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-admin/load-scripts.php /home/packages/code/qi/SOURCES/wordpress-3.5/wp-admin/load-scripts.php
*** /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-admin/load-scripts.php	2012-10-29 12:35:31.000000000 -0500
--- /home/packages/code/qi/SOURCES/wordpress-3.5/wp-admin/load-scripts.php	2012-12-17 16:18:42.000000000 -0600
***************
*** 114,120 ****
  	return @file_get_contents($path);
  }
  
! $load = preg_replace( '/[^a-z0-9,_-]+/i', '', $_GET['load'] );
  $load = explode(',', $load);
  
  if ( empty($load) )
--- 114,124 ----
  	return @file_get_contents($path);
  }
  
! $load = $_GET['load'];
! if ( is_array( $load ) )
! 	$load = implode( '', $load );
! 
! $load = preg_replace( '/[^a-z0-9,_-]+/i', '', $load );
  $load = explode(',', $load);
  
  if ( empty($load) )
***************
*** 125,131 ****
  
  $compress = ( isset($_GET['c']) && $_GET['c'] );
  $force_gzip = ( $compress && 'gzip' == $_GET['c'] );
! $expires_offset = 31536000;
  $out = '';
  
  $wp_scripts = new WP_Scripts();
--- 129,135 ----
  
  $compress = ( isset($_GET['c']) && $_GET['c'] );
  $force_gzip = ( $compress && 'gzip' == $_GET['c'] );
! $expires_offset = 31536000; // 1 year
  $out = '';
  
  $wp_scripts = new WP_Scripts();
diff -crBPN --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=advanced-cache.php --exclude=wp-cache-config.php --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.5.pl /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-admin/load-styles.php /home/packages/code/qi/SOURCES/wordpress-3.5/wp-admin/load-styles.php
*** /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-admin/load-styles.php	2012-10-29 12:35:31.000000000 -0500
--- /home/packages/code/qi/SOURCES/wordpress-3.5/wp-admin/load-styles.php	2012-12-17 16:18:42.000000000 -0600
***************
*** 104,110 ****
  $compress = ( isset($_GET['c']) && $_GET['c'] );
  $force_gzip = ( $compress && 'gzip' == $_GET['c'] );
  $rtl = ( isset($_GET['dir']) && 'rtl' == $_GET['dir'] );
! $expires_offset = 31536000;
  $out = '';
  
  $wp_styles = new WP_Styles();
--- 104,110 ----
  $compress = ( isset($_GET['c']) && $_GET['c'] );
  $force_gzip = ( $compress && 'gzip' == $_GET['c'] );
  $rtl = ( isset($_GET['dir']) && 'rtl' == $_GET['dir'] );
! $expires_offset = 31536000; // 1 year
  $out = '';
  
  $wp_styles = new WP_Styles();
***************
*** 120,126 ****
  	$content = get_file($path) . "\n";
  
  	if ( $rtl && isset($style->extra['rtl']) && $style->extra['rtl'] ) {
! 		$rtl_path = is_bool($style->extra['rtl']) ? str_replace( '.css', '-rtl.css', $path ) : ABSPATH . $style->extra['rtl'];
  		$content .= get_file($rtl_path) . "\n";
  	}
  
--- 120,126 ----
  	$content = get_file($path) . "\n";
  
  	if ( $rtl && isset($style->extra['rtl']) && $style->extra['rtl'] ) {
! 		$rtl_path = is_bool($style->extra['rtl']) ? str_replace( '.min.css', '-rtl.min.css', $path ) : ABSPATH . $style->extra['rtl'];
  		$content .= get_file($rtl_path) . "\n";
  	}
  
